Subject: Re: bug#73244: Emacs29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41

From: martin rudalics <[email-masked]>
Date: Mon, 21 Oct 2024 10:19:05 +0200

>> As a workaround you can also make an early init file (a file named
 >> ‘early-init.el’ in your ‘~/.emacs.d’ directory, see section 43.1.2 of
 >> the Elisp manual) containing
 >>
 >> (defun resize-me (frame)
 >>     (set-frame-size frame 42 90))
 >>
 >> (add-hook 'after-make-frame-functions 'resize-me)
 >>
 >> and see what happens.
 >
 > I did this.  There was already an early-init.el file present, and it
 > had just '(setq byte-compile-warnings '(cl-functions))' in it, which I
 > didn't think would matter.  I added the code you mention, and ran
 > emacs - still the same small window.

This is somewhat surprising because ISTR that some people used it to fix
the problem (they still see the small frame for a short moment).  Let's
try the following: In your early-init.el file put

(setq frame-size-history '(100))

(defun resize-me (frame)
   (set-frame-size frame 42 90))

(add-hook 'after-make-frame-functions 'resize-me)

start emacs -Q, then maximize the frame, do

(progn
   (frame--size-history)
   (switch-to-buffer "*frame-size-history*"))

and post the contents of that buffer.

 > I should mention that the small window only appears when emacs is
 > started from the launch bar.  If I run emacs directly from a terminal
 > window, a more normal size window appears.  (height 54, width 51) Not
 > what I'd call "exactly" normal, but better than the minuscule window I
 > was getting from the launch icon.

Interesting find.  Please put just

(setq frame-size-history '(100))

in your early-init.el file, start emacs -Q from the terminal window,
then maximize the frame, do

(progn
   (frame--size-history)
   (switch-to-buffer "*frame-size-history*"))

and post the contents of that buffer.

Many thanks, martin